process.source.toc
Prev | ToC/LoT/Index Generation | Next

## Name

process.source.toc — Process a non-empty `toc` element if it occurs in a source document?

## Synopsis

    <xsl:param name="process.source.toc" select="0"></xsl:param>

## Description

Specifies that the contents of a non-empty "hard-coded" `toc` element in a source document are processed to generate a TOC in output.

This parameter has no effect on automated generation of TOCs. An automated TOC may still be generated along with the "hard-coded" TOC. To suppress automated TOC generation, adjust the value of the `generate.toc` paramameter. The `process.source.toc` parameter also has no effect if the `toc` element is empty; handling for empty `toc` is controlled by the `process.empty.source.toc` parameter.

Prev | Up | Next
process.empty.source.toc | Home | generate.toc